Subject: Re: push.default???

From: Paolo Bonzini <[email-masked]>
Date: Mon, 22 Jun 2009 19:55:30 +0200

> You cannot do anything "in 1.6.3"; The ship has already left the port.

Yes, that was me reasoning out loud.

>> 4) in 1.6.4 or 1.7.0, make "git push" fail outright if there is no
>> push line, with text suggesting
> 
> This was already part of one possible option for push.default (change the
> built-in default to 'nothing-and-warn') when it was introduced, wasn't it?
> Instead of suggesting to configure remote.$name.push, it would suggest to
> set push.default to a desired value, which I think is a more sensible
> thing to do.

Yes, that was also reasoning out loud.  It makes sense.

Anyway, suggestion will be helpful for the "tracking" behavior refspec 
syntax.

Thanks for the remarks,

Paolo